package com.yeejoin.amos.boot.module.hygf.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description:
 * @author: tw
 * @createDate: 2023/12/13
 */
@Getter
@AllArgsConstructor
public enum PreparationEnum {


    创建发货单("创建发货单", "创建发货单"),

    确认发货("确认发货", "确认发货"),

    确认收货("确认收货", "确认收货"),

    编辑货单("编辑货单", "编辑货单"),

    作废发货单("作废发货单", "作废发货单");


    /**
     * 名称，描述
     */
    private String name;
    /**
     * 编码
     */
    private String code;

    public static ContractStatusEnum getNodeByCode(String code) {
        ContractStatusEnum dealerReviewEnum = null;
        for(ContractStatusEnum type: ContractStatusEnum.values()) {
            if (type.getCode().equals(code)) {
                dealerReviewEnum = type;
                break;
            }
        }
        return dealerReviewEnum;
    }

}
